angular.module('carbonApp').controller('locationController', ['$scope', 'carbonService', function($scope, carbonService) {
    
    // If the user hasn't chosen a city for push notifications, force them to go to that page
    if (localStorage.getItem("pushCity") == null) {
        window.location.href = "#/settings";
    }
    
   carbonService.getLocations().success(function (data) {
        $scope.locations = data;
   }).error(function () {
       
        var errorMessage = "It looks like you're not connected to the internet";
        popup.show("Error", errorMessage);
       
        document.getElementById("retryButton").style.position = "relative";
        document.getElementById("retryButton").style.visibility = "visible";
        document.getElementById("loading").style.visibility = "hidden";
   });



  $scope.setLocation = function(newLocation) {
     $scope.userLocation = newLocation;
     carbonService.setLocation(newLocation);

     window.location.href = "#/main";
  };

    
    $scope.openExternalUrl = function (url) {
          carbonService.openExternalUrl(url);
    };
    
    $scope.reload = function() {
        console.log("Forcing refresh at " + new Date());
            
        carbonService.clearCache();
    };
    
    $scope.gotoSettings = function() {
    
        window.location.href = "#/settings";
        
    };
    
    // Used for testing the saved push notification city
    $scope.clearLocalStorage = function() {
      
        localStorage.removeItem("pushCity");
        alert("Local storage cleared!");
        
    };
    
}]);