angular.module('carbonApp').controller('mainController', ['$scope', '$route', 'carbonService',
    function ($scope, $route, carbonService) {
        carbonService.getDealio().success( function (data) {
          carbonService.setDeals(data);
          carbonService.bindDealioToScope($scope, data);
            
            if ($scope.deals.length < 1)
                return;
            
          //get featured/main business info
          carbonService.getBusiness($scope.deals[0].business_table_id).success(function (data) {
               $scope.addresses = data[0].addresses;
               for (var i in $scope.addresses)
               {
                   var address = $scope.addresses[i];
                   $scope.addresses[i].link = address.line1 + " "  + address.line2 + " " + address.line3;
               }

          }).error(function () {
               var errorMessage = "Error retrieving single business - ID: " + $scope.deals[0].business_id;
               popup.show("Error", errorMessage);
          });

        }).error(function () {
             var errorMessage = "No dealios found for your area - or server error";
             navigator.notification ? navigator.notification.alert(errorMessage) : alert(errorMessage);
             window.location.href = "#";
        });


        $scope.descClick = function () {
            console.log("Desc Click");
            descElement = document.getElementById("featured_deal_details");
            gradientElement = document.getElementById("readmore-gradient");

            //if the description is collapsed, expand it (and vice versa)
            if (parseInt(descElement.style.maxHeight) > 60) {
                //expand description
                descElement.style.maxHeight = "60px";

                //fade text at bottom
                gradientElement.style.opacity = 1.0;
            } else {
                //collapse description
                descElement.style.maxHeight = "500px";

                //get rid of fading at bottom
                gradientElement.style.opacity = 0.0;
            }
        };

        $scope.openSelected = function(selected) {
            carbonService.setSelectedDeal(selected);
            window.location.href = '#/selected';
        };

        $scope.reload = function() {
            console.log("Forcing refresh at " + new Date());
            
            carbonService.clearCache();
        }
        
        $scope.openExternalUrl = function (url) {
          carbonService.openExternalUrl(url);
        };
}]);
