angular.module('carbonApp').controller('notificationController', ['$scope', 'carbonService', function($scope, carbonService) {
    
    $scope.dailyTime = { label: '10:00AM', value: '10:00' };
    
    if (window.localStorage.getItem("dailyNotificationTime") != null) {
        var time = window.localStorage.getItem("dailyNotificationTime");
        
        var parsedTime = time.split(":");
        var firstNum = parseInt(parsedTime[0]);
        
        if (firstNum >= 12) {
            firstNum = firstNum - 12;
            $scope.dailyTime = { label: firstNum + ":" + parsedTime[1] + "PM", value: time };
        }
        else {
            $scope.dailyTime = { label: time + "AM", value: time };
        }
    }
    
    $scope.times = [
        { label: '8:00AM', value: '8:00' },
        { label: '8:30AM', value: '8:30' },
        { label: '9:00AM', value: '9:00' },
        { label: '9:30AM', value: '9:30' },
        { label: '10:00AM', value: '10:00' },
        { label: '10:30AM', value: '10:30' },
        { label: '11:00AM', value: '11:00' },
        { label: '11:30AM', value: '11:30' },
        { label: '12:00PM', value: '12:00' },
        { label: '12:30PM', value: '12:30' },
        { label: '1:00PM', value: '13:00' },
        { label: '1:30PM', value: '13:30' },
        { label: '2:00PM', value: '14:00' },
        { label: '2:30PM', value: '14:30' },
        { label: '3:00PM', value: '15:00' },
        { label: '3:30PM', value: '15:30' },
        { label: '4:00PM', value: '16:00' },
        { label: '4:30PM', value: '16:30' },
        { label: '5:00PM', value: '17:00' },
        { label: '5:30PM', value: '17:30' },
        { label: '6:00PM', value: '18:00' },
        { label: '6:30PM', value: '18:30' },
        { label: '7:00PM', value: '19:00' },
        { label: '7:30PM', value: '19:30' },
        { label: '8:00PM', value: '20:00' }
    ];
    
    
    $scope.setDailyNotificationTime = function(newTime) {
        carbonService.setDailyNotificationTime(newTime);
        window.localStorage.setItem("dailyNotificationTime", newTime);
        window.location.href = '#/';
    };

}]);