window.addEventListener('load', function() {
    popup_window = document.querySelector(".popup");
    popup_window.open = false;
});
var popup = {
    show: function(title, message)
    {
        if(popup_window.open)
        {
            popup.update(title, message);
            return;
        }
        
        popup_window.innerHTML = "<span style='float:right; padding:5px'>X</span>";
        popup_window.innerHTML += "<h4>" + title + "</h4>";
        popup_window.innerHTML += "<p>" + message + "</p>";
        popup_window.classList.add("fadeIn");
        popup_window.classList.remove("hidden");
        popup_window.open = true;
        document.addEventListener("click", popup.hide);
    },
    hide: function(){
        popup_window.classList.add("hidden");
        popup_window.innerHTML = "";
        popup_window.open = false;
        document.removeEventListener("click", popup.hide);
    },
    update: function(title, message) {
        popup_window.classList.remove("fadeIn");
        popup_window.classList.add("pullUp");
        popup_window.innerHTML = "<span style='float:right; padding:5px'>X</span>";
        popup_window.innerHTML += "<h4>" + title + "</h4>";
        popup_window.innerHTML += "<p>" + message + "</p>";
        setTimeout(function() {
            popup_window.classList.remove("pullUp");
        }, 1000);
    }
};