angular.module('carbonApp').controller('settingsController', ['$scope', 'carbonService', function($scope, carbonService) {
    
    // Get the locations from the server
    carbonService.getLocations().success(function (data) {

        //get locations and prepend the option "None" to the beginning of the array
        $scope.theNone = { "name": "None", "location_unique": "none" };
        $scope.locations = data;
        data.unshift($scope.theNone);
        
        // Are they setting it for the first time?
        if (localStorage.getItem("pushCity") == null) {
            $scope.firstTimeSetPush = true;
            
            // set default radio button location
            $scope.radioLocation = "none";
            localStorage.setItem("pushCity", "none");
        }
        else {
            $scope.firstTimeSetPush = false;
            
            // set default radio button based on previous preference
            $scope.radioLocation = localStorage.getItem("pushCity");
        }

    }).error(function () {
        
        var errorMessage = "It looks like you're not connected to the Internet - settings may not update correctly.";
        popup.show("Error", errorMessage);
        
        //document.getElementById("locationSettings").style.visibility = "hidden";
    });
    
    
    // Sets the pushwoosh tag for the device
    $scope.setPushwooshTag = function (pushCity, successMessage, errorMessage, firstPush) {
        
        // Note: The success / failure functions execute asynchronously, so the success / error messages
        //       could be executed while the user is on another page.
        window.plugins.pushNotification.setTags(
            { PushCity: pushCity }, 
            function(status) { 
                // If successful, save value to localstorage
                localStorage.setItem("pushCity", pushCity);
                
                // Show the successMessage if setting the location with PushWoosh was successful
                if (successMessage != "") {
                    popup.show("", successMessage);
                }
            }, 
            function(status) 
            {
                // Show the errorMessage if setting the location with PushWoosh  failed
                if (errorMessage != "") {
                    popup.show("Error", errorMessage); 
                }
            }
        );
    };
    
    
    // When called, updates user push notification settings
    $scope.okSettings = function () {
        
        // Tell PushWoosh which city's push notifications to send
        $scope.setPushwooshTag($scope.radioLocation, "", "Settings not updated - network error.");
        
        // Go back to locations page
        window.location.href = "#";
    };
    
    /* 
    //Maybe use in the future
    $scope.cancelSettings = function () {
        
        window.location.href = "#";
    };
    */
    
}]);